Package org.lwjgl.opengl

# Class GL30

java.lang.Object
org.lwjgl.opengl.GL30

public final class GL30 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ALPHA_INTEGER`
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:
`static final int`
`GL_ALPHA16F`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_ALPHA16I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_ALPHA16UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_ALPHA32F`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_ALPHA32I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_ALPHA32UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_ALPHA8I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_ALPHA8UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_BGR_INTEGER`
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:
`static final int`
`GL_BGRA_INTEGER`
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:
`static final int`
`GL_BLUE_INTEGER`
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:
`static final int`
`GL_BUFFER_ACCESS_FLAGS`
`static final int`
`GL_BUFFER_MAP_LENGTH`
`static final int`
`GL_BUFFER_MAP_OFFSET`
`static final int`
`GL_CLAMP_FRAGMENT_COLOR`
Accepted by the <target> parameter of ClampColor and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.
`static final int`
`GL_CLAMP_READ_COLOR`
Accepted by the <target> parameter of ClampColor and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.
`static final int`
`GL_CLAMP_VERTEX_COLOR`
Accepted by the <target> parameter of ClampColor and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.
`static final int`
`GL_CLIP_DISTANCE0`
`static final int`
`GL_CLIP_DISTANCE1`
`static final int`
`GL_CLIP_DISTANCE2`
`static final int`
`GL_CLIP_DISTANCE3`
`static final int`
`GL_CLIP_DISTANCE4`
`static final int`
`GL_CLIP_DISTANCE5`
`static final int`
`GL_CLIP_DISTANCE6`
`static final int`
`GL_CLIP_DISTANCE7`
`static final int`
`GL_COLOR_ATTACHMENT0`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT1`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT10`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT11`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT12`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT13`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT14`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT15`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT2`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT3`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT4`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT5`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT6`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT7`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT8`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT9`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COMPARE_REF_DEPTH_TO_TEXTURE`
Accepted by the <param> parameter of TexParameterf, TexParameteri, TexParameterfv, and TexParameteriv when the <pname> parameter is TEXTURE_COMPARE_MODE_ARB:
`static final int`
`GL_COMPARE_REF_TO_TEXTURE`
`static final int`
`GL_COMPRESSED_RED`
`static final int`
`GL_COMPRESSED_RED_RGTC1`
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:
`static final int`
`GL_COMPRESSED_RG`
`static final int`
`GL_COMPRESSED_RG_RGTC2`
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:
`static final int`
`GL_COMPRESSED_SIGNED_RED_RGTC1`
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:
`static final int`
`GL_COMPRESSED_SIGNED_RG_RGTC2`
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:
`static final int`
`GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT`
`static final int`
`GL_CONTEXT_FLAGS`
`static final int`
`GL_DEPTH_ATTACHMENT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_DEPTH_BUFFER`
`static final int`
`GL_DEPTH_COMPONENT32F`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameterivEXT:
`static final int`
`GL_DEPTH_STENCIL`
Accepted by the <format> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage, by the <type> parameter of CopyPixels, by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorage, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameteriv.
`static final int`
`GL_DEPTH_STENCIL_ATTACHMENT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_DEPTH24_STENCIL8`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorage, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameteriv.
`static final int`
`GL_DEPTH32F_STENCIL8`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameterivEXT:
`static final int`
`GL_DRAW_FRAMEBUFFER`
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:
`static final int`
`GL_DRAW_FRAMEBUFFER_BINDING`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev.
`static final int`
`GL_FIXED_ONLY`
Accepted by the <clamp> parameter of ClampColor.
`static final int`
`GL_FLOAT_32_UNSIGNED_INT_24_8_REV`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage:
`static final int`
`GL_FRAMEBUFFER`
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_BINDING`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_FRAMEBUFFER_COMPLETE`
Returned by CheckFramebufferStatus():
`static final int`
`GL_FRAMEBUFFER_DEFAULT`
Returned in <params> by GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT`
Returned by CheckFramebufferStatus():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER`
Returned by CheckFramebufferStatus():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT`
Returned by CheckFramebufferStatus():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE`
Returned by CheckFramebufferStatus.
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER`
Returned by CheckFramebufferStatus():
`static final int`
`GL_FRAMEBUFFER_SRGB`
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_FRAMEBUFFER_SRGB_CAPABLE`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_FRAMEBUFFER_UNDEFINED`
Returned by CheckFramebufferStatus():
`static final int`
`GL_FRAMEBUFFER_UNSUPPORTED`
Returned by CheckFramebufferStatus():
`static final int`
`GL_GREEN_INTEGER`
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:
`static final int`
`GL_HALF_FLOAT`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, GetTexImage, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, GetConvolutionFilter, SeparableFilter2D, GetSeparableFilter, ColorTable, ColorSubTable, and GetColorTable:
`static final int`
`GL_INDEX`
Returned in <params> by GetFramebufferAttachmentParameteriv:
`static final int`
`GL_INT_SAMPLER_1D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_1D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_2D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_2D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_2D_RECT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_3D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_BUFFER`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_CUBE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INTERLEAVED_ATTRIBS`
Accepted by the <bufferMode> parameter of TransformFeedbackVaryings:
`static final int`
`GL_INVALID_FRAMEBUFFER_OPERATION`
Returned by GetError():
`static final int`
`GL_MAJOR_VERSION`
`static final int`
`GL_MAP_FLUSH_EXPLICIT_BIT`
Accepted by the <access> parameter of MapBufferRange:
`static final int`
`GL_MAP_INVALIDATE_BUFFER_BIT`
Accepted by the <access> parameter of MapBufferRange:
`static final int`
`GL_MAP_INVALIDATE_RANGE_BIT`
Accepted by the <access> parameter of MapBufferRange:
`static final int`
`GL_MAP_READ_BIT`
Accepted by the <access> parameter of MapBufferRange:
`static final int`
`GL_MAP_UNSYNCHRONIZED_BIT`
Accepted by the <access> parameter of MapBufferRange:
`static final int`
`GL_MAP_WRITE_BIT`
Accepted by the <access> parameter of MapBufferRange:
`static final int`
`GL_MAX_ARRAY_TEXTURE_LAYERS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:
`static final int`
`GL_MAX_CLIP_DISTANCES`
`static final int`
`GL_MAX_COLOR_ATTACHMENTS`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_PROGRAM_TEXEL_OFFSET`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_RENDERBUFFER_SIZE`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_SAMPLES`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.
`static final int`
`GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_VARYING_COMPONENTS`
`static final int`
`GL_MIN_PROGRAM_TEXEL_OFFSET`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MINOR_VERSION`
`static final int`
`GL_NUM_EXTENSIONS`
`static final int`
`GL_PRIMITIVES_GENERATED`
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:
`static final int`
`GL_PROXY_TEXTURE_1D_ARRAY`
Accepted by the <target> parameter of TexImage2D, TexSubImage2D, CopyTexImage2D, CopyTexSubImage2D, CompressedTexImage2D, and CompressedTexSubImage2D:
`static final int`
`GL_PROXY_TEXTURE_2D_ARRAY`
Accepted by the <target> parameter of TexImage3D, TexSubImage3D, CopyTexSubImage3D, CompressedTexImage3D, and CompressedTexSubImage3D:
`static final int`
`GL_QUERY_BY_REGION_NO_WAIT`
Accepted by the <mode> parameter of BeginConditionalRender:
`static final int`
`GL_QUERY_BY_REGION_WAIT`
Accepted by the <mode> parameter of BeginConditionalRender:
`static final int`
`GL_QUERY_NO_WAIT`
Accepted by the <mode> parameter of BeginConditionalRender:
`static final int`
`GL_QUERY_WAIT`
Accepted by the <mode> parameter of BeginConditionalRender:
`static final int`
`GL_R11F_G11F_B10F`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorage:
`static final int`
`GL_R16`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R16F`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R16I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R16UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R32F`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R32I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R32UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R8`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R8I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_R8UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RASTERIZER_DISCARD`
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_READ_FRAMEBUFFER`
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:
`static final int`
`GL_READ_FRAMEBUFFER_BINDING`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev.
`static final int`
`GL_RED_INTEGER`
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:
`static final int`
`GL_RENDERBUFFER`
Accepted by the <target> parameter of BindRenderbuffer, RenderbufferStorage, and GetRenderbufferParameteriv, and returned by GetFramebufferAttachmentParameteriv:
`static final int`
`GL_RENDERBUFFER_ALPHA_SIZE`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_BINDING`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_RENDERBUFFER_BLUE_SIZE`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_DEPTH_SIZE`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_GREEN_SIZE`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_HEIGHT`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_INTERNAL_FORMAT`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_RED_SIZE`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_SAMPLES`
Accepted by the <pname> parameter of GetRenderbufferParameteriv.
`static final int`
`GL_RENDERBUFFER_STENCIL_SIZE`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_WIDTH`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RG`
Accepted by the <format> parameter of TexImage3D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:
`static final int`
`GL_RG_INTEGER`
Accepted by the <format> parameter of TexImage3D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:
`static final int`
`GL_RG16`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG16F`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG16I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG16UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG32F`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG32I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG32UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG8`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG8I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RG8UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:
`static final int`
`GL_RGB_INTEGER`
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:
`static final int`
`GL_RGB16F`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB16I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB16UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB32F`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB32I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB32UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB8I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB8UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB9_E5`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorage:
`static final int`
`GL_RGBA_INTEGER`
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:
`static final int`
`GL_RGBA_INTEGER_MODE`
Accepted by the <pname> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_RGBA16F`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGBA16I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGBA16UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGBA32F`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGBA32I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGBA32UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGBA8I`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGBA8UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_SAMPLER_1D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_1D_ARRAY_SHADOW`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_2D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_2D_ARRAY_SHADOW`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_BUFFER`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_CUBE_SHADOW`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SEPARATE_ATTRIBS`
Accepted by the <bufferMode> parameter of TransformFeedbackVaryings:
`static final int`
`GL_STENCIL_ATTACHMENT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_STENCIL_BUFFER`
`static final int`
`GL_STENCIL_INDEX1`
Accepted by the <internalformat> parameter of RenderbufferStorage:
`static final int`
`GL_STENCIL_INDEX16`
Accepted by the <internalformat> parameter of RenderbufferStorage:
`static final int`
`GL_STENCIL_INDEX4`
Accepted by the <internalformat> parameter of RenderbufferStorage:
`static final int`
`GL_STENCIL_INDEX8`
Accepted by the <internalformat> parameter of RenderbufferStorage:
`static final int`
`GL_TEXTURE_1D_ARRAY`
Accepted by the <target> parameter of TexParameteri, TexParameteriv, TexParameterf, TexParameterfv, and BindTexture:
`static final int`
`GL_TEXTURE_2D_ARRAY`
Accepted by the <target> parameter of TexParameteri, TexParameteriv, TexParameterf, TexParameterfv, and BindTexture:
`static final int`
`GL_TEXTURE_ALPHA_TYPE`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_BINDING_1D_ARRAY`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:
`static final int`
`GL_TEXTURE_BINDING_2D_ARRAY`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:
`static final int`
`GL_TEXTURE_BLUE_TYPE`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_DEPTH_TYPE`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_GREEN_TYPE`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_INTENSITY_TYPE`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_LUMINANCE_TYPE`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_RED_TYPE`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_SHARED_SIZE`
Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv:
`static final int`
`GL_TEXTURE_STENCIL_SIZE`
Accepted by the <value> parameter of GetTexLevelParameter.
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER`
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, BindBufferRange, BindBufferOffset and BindBufferBase:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_BINDING`
Accepted by the <param> parameter of GetIntegerIndexedv and GetBooleanIndexedv, and by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_MODE`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_SIZE`
Accepted by the <param> parameter of GetIntegerIndexedv and GetBooleanIndexedv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_START`
Accepted by the <param> parameter of GetIntegerIndexedv and GetBooleanIndexedv:
`static final int`
`GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN`
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:
`static final int`
`GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_TRANSFORM_FEEDBACK_VARYINGS`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_UNSIGNED_INT_10F_11F_11F_REV`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, GetSeparableFilter, ColorTable, ColorSubTable, and GetColorTable:
`static final int`
`GL_UNSIGNED_INT_24_8`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage.
`static final int`
`GL_UNSIGNED_INT_5_9_9_9_REV`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, GetSeparableFilter, ColorTable, ColorSubTable, and GetColorTable:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_1D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_1D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_2D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_2D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_2D_RECT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_3D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_BUFFER`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_CUBE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_VEC2`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_VEC3`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_VEC4`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_NORMALIZED`
Returned by the <params> parameter of GetTexLevelParameter:
`static final int`
`GL_VERTEX_ARRAY_BINDING`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_INTEGER`
Accepted by the <pname> parameters of GetVertexAttribdv, GetVertexAttribfv, GetVertexAttribiv, GetVertexAttribIiv, and GetVertexAttribIuiv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBeginConditionalRender(int id, int mode)`
`static void`
`glBeginTransformFeedback(int primitiveMode)`
`static void`
`glBindBufferBase(int target, int index, int buffer)`
`static void`
`glBindBufferRange(int target, int index, int buffer, long offset, long size)`
`static void`
`glBindFragDataLocation(int program, int colorNumber, CharSequence name)`
Overloads glBindFragDataLocation.
`static void`
`glBindFragDataLocation(int program, int colorNumber, ByteBuffer name)`
`static void`
`glBindFramebuffer(int target, int framebuffer)`
`static void`
`glBindRenderbuffer(int target, int renderbuffer)`
`static void`
`glBindVertexArray(int array)`
`static void`
`glBlitFramebuffer(int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)`
Transfers a rectangle of pixel values from one region of the read framebuffer to another in the draw framebuffer.
`static int`
`glCheckFramebufferStatus(int target)`
`static void`
`glClampColor(int target, int clamp)`
`static void`
`glClearBuffer(int buffer, int drawbuffer, FloatBuffer value)`
`static void`
`glClearBuffer(int buffer, int drawbuffer, IntBuffer value)`
`static void`
`glClearBufferfi(int buffer, int drawbuffer, float depth, int stencil)`
`static void`
`glClearBufferu(int buffer, int drawbuffer, IntBuffer value)`
`static void`
`glColorMaski(int buf, boolean r, boolean g, boolean b, boolean a)`
`static void`
`glDeleteFramebuffers(int framebuffer)`
Overloads glDeleteFramebuffers.
`static void`
`glDeleteFramebuffers(IntBuffer framebuffers)`
`static void`
`glDeleteRenderbuffers(int renderbuffer)`
Overloads glDeleteRenderbuffers.
`static void`
`glDeleteRenderbuffers(IntBuffer renderbuffers)`
`static void`
`glDeleteVertexArrays(int array)`
Overloads glDeleteVertexArrays.
`static void`
`glDeleteVertexArrays(IntBuffer arrays)`
`static void`
`glDisablei(int target, int index)`
`static void`
`glEnablei(int target, int index)`
`static void`
`glEndConditionalRender()`
`static void`
`glEndTransformFeedback()`
`static void`
`glFlushMappedBufferRange(int target, long offset, long length)`
`static void`
`glFramebufferRenderbuffer(int target, int attachment, int renderbuffertarget, int renderbuffer)`
`static void`
`glFramebufferTexture1D(int target, int attachment, int textarget, int texture, int level)`
`static void`
`glFramebufferTexture2D(int target, int attachment, int textarget, int texture, int level)`
`static void`
`glFramebufferTexture3D(int target, int attachment, int textarget, int texture, int level, int zoffset)`
`static void`
`glFramebufferTextureLayer(int target, int attachment, int texture, int level, int layer)`
`static void`
`glGenerateMipmap(int target)`
`static int`
`glGenFramebuffers()`
Overloads glGenFramebuffers.
`static void`
`glGenFramebuffers(IntBuffer framebuffers)`
`static int`
`glGenRenderbuffers()`
Overloads glGenRenderbuffers.
`static void`
`glGenRenderbuffers(IntBuffer renderbuffers)`
`static int`
`glGenVertexArrays()`
Overloads glGenVertexArrays.
`static void`
`glGenVertexArrays(IntBuffer arrays)`
`static boolean`
`glGetBoolean(int value, int index)`
Overloads glGetBooleani_v.
`static void`
`glGetBoolean(int value, int index, ByteBuffer data)`
`static int`
`glGetFragDataLocation(int program, CharSequence name)`
Overloads glGetFragDataLocation.
`static int`
`glGetFragDataLocation(int program, ByteBuffer name)`
`static int`
`glGetFramebufferAttachmentParameter(int target, int attachment, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetFramebufferAttachmentParameter(int target, int attachment, int pname, IntBuffer params)`
`static int`
`glGetFramebufferAttachmentParameteri(int target, int attachment, int pname)`
Overloads glGetFramebufferAttachmentParameteriv.
`static int`
`glGetInteger(int value, int index)`
Overloads glGetIntegeri_v.
`static void`
`glGetInteger(int value, int index, IntBuffer data)`
`static int`
`glGetRenderbufferParameter(int target, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetRenderbufferParameter(int target, int pname, IntBuffer params)`
`static int`
`glGetRenderbufferParameteri(int target, int pname)`
Overloads glGetRenderbufferParameteriv.
`static String`
`glGetStringi(int name, int index)`
`static void`
`glGetTexParameterI(int target, int pname, IntBuffer params)`
`static int`
`glGetTexParameterIi(int target, int pname)`
Overloads glGetTexParameterIiv.
`static void`
`glGetTexParameterIu(int target, int pname, IntBuffer params)`
`static int`
`glGetTexParameterIui(int target, int pname)`
Overloads glGetTexParameterIuiv.
`static String`
`glGetTransformFeedbackVarying(int program, int index, int bufSize, IntBuffer size, IntBuffer type)`
Overloads glGetTransformFeedbackVarying.
`static void`
`glGetTransformFeedbackVarying(int program, int index, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)`
`static void`
`glGetUniformu(int program, int location, IntBuffer params)`
`static void`
`glGetVertexAttribI(int index, int pname, IntBuffer params)`
`static void`
`glGetVertexAttribIu(int index, int pname, IntBuffer params)`
`static boolean`
`glIsEnabledi(int target, int index)`
`static boolean`
`glIsFramebuffer(int framebuffer)`
`static boolean`
`glIsRenderbuffer(int renderbuffer)`
`static boolean`
`glIsVertexArray(int array)`
`static ByteBuffer`
`glMapBufferRange(int target, long offset, long length, int access, ByteBuffer old_buffer)`
glMapBufferRange maps a GL buffer object range to a ByteBuffer.
`static void`
`glRenderbufferStorage(int target, int internalformat, int width, int height)`
`static void`
`glRenderbufferStorageMultisample(int target, int samples, int internalformat, int width, int height)`
Establishes the data storage, format, dimensions, and number of samples of a renderbuffer object's image.
`static void`
`glTexParameterI(int target, int pname, IntBuffer params)`
`static void`
`glTexParameterIi(int target, int pname, int param)`
Overloads glTexParameterIiv.
`static void`
`glTexParameterIu(int target, int pname, IntBuffer params)`
`static void`
`glTexParameterIui(int target, int pname, int param)`
Overloads glTexParameterIuiv.
`static void`
`glTransformFeedbackVaryings(int program, int count, ByteBuffer varyings, int bufferMode)`
`static void`
`glTransformFeedbackVaryings(int program, CharSequence[] varyings, int bufferMode)`
Overloads glTransformFeedbackVaryings.
`static void`
`glUniform1u(int location, IntBuffer value)`
`static void`
`glUniform1ui(int location, int v0)`
`static void`
`glUniform2u(int location, IntBuffer value)`
`static void`
`glUniform2ui(int location, int v0, int v1)`
`static void`
`glUniform3u(int location, IntBuffer value)`
`static void`
`glUniform3ui(int location, int v0, int v1, int v2)`
`static void`
`glUniform4u(int location, IntBuffer value)`
`static void`
`glUniform4ui(int location, int v0, int v1, int v2, int v3)`
`static void`
`glVertexAttribI1(int index, IntBuffer v)`
`static void`
`glVertexAttribI1i(int index, int x)`
`static void`
`glVertexAttribI1u(int index, IntBuffer v)`
`static void`
`glVertexAttribI1ui(int index, int x)`
`static void`
`glVertexAttribI2(int index, IntBuffer v)`
`static void`
`glVertexAttribI2i(int index, int x, int y)`
`static void`
`glVertexAttribI2u(int index, IntBuffer v)`
`static void`
`glVertexAttribI2ui(int index, int x, int y)`
`static void`
`glVertexAttribI3(int index, IntBuffer v)`
`static void`
`glVertexAttribI3i(int index, int x, int y, int z)`
`static void`
`glVertexAttribI3u(int index, IntBuffer v)`
`static void`
`glVertexAttribI3ui(int index, int x, int y, int z)`
`static void`
`glVertexAttribI4(int index, ByteBuffer v)`
`static void`
`glVertexAttribI4(int index, IntBuffer v)`
`static void`
`glVertexAttribI4(int index, ShortBuffer v)`
`static void`
`glVertexAttribI4i(int index, int x, int y, int z, int w)`
`static void`
`glVertexAttribI4u(int index, ByteBuffer v)`
`static void`
`glVertexAttribI4u(int index, IntBuffer v)`
`static void`
`glVertexAttribI4u(int index, ShortBuffer v)`
`static void`
`glVertexAttribI4ui(int index, int x, int y, int z, int w)`
`static void`
`glVertexAttribIPointer(int index, int size, int type, int stride, long buffer_buffer_offset)`
`static void`
`glVertexAttribIPointer(int index, int size, int type, int stride, ByteBuffer buffer)`
`static void`
`glVertexAttribIPointer(int index, int size, int type, int stride, IntBuffer buffer)`
`static void`
`glVertexAttribIPointer(int index, int size, int type, int stride, ShortBuffer buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAJOR_VERSION

public static final int GL_MAJOR_VERSION

See Also:
  - Constant Field Values

### GL_MINOR_VERSION

public static final int GL_MINOR_VERSION

See Also:
  - Constant Field Values

### GL_NUM_EXTENSIONS

public static final int GL_NUM_EXTENSIONS

See Also:
  - Constant Field Values

### GL_CONTEXT_FLAGS

public static final int GL_CONTEXT_FLAGS

See Also:
  - Constant Field Values

### GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT

public static final int GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT

See Also:
  - Constant Field Values

### GL_DEPTH_BUFFER

public static final int GL_DEPTH_BUFFER

See Also:
  - Constant Field Values

### GL_STENCIL_BUFFER

public static final int GL_STENCIL_BUFFER

See Also:
  - Constant Field Values

### GL_COMPRESSED_RED

public static final int GL_COMPRESSED_RED

See Also:
  - Constant Field Values

### GL_COMPRESSED_RG

public static final int GL_COMPRESSED_RG

See Also:
  - Constant Field Values

### GL_COMPARE_REF_TO_TEXTURE

public static final int GL_COMPARE_REF_TO_TEXTURE

See Also:
  - Constant Field Values

### GL_CLIP_DISTANCE0

public static final int GL_CLIP_DISTANCE0

See Also:
  - Constant Field Values

### GL_CLIP_DISTANCE1

public static final int GL_CLIP_DISTANCE1

See Also:
  - Constant Field Values

### GL_CLIP_DISTANCE2

public static final int GL_CLIP_DISTANCE2

See Also:
  - Constant Field Values

### GL_CLIP_DISTANCE3

public static final int GL_CLIP_DISTANCE3

See Also:
  - Constant Field Values

### GL_CLIP_DISTANCE4

public static final int GL_CLIP_DISTANCE4

See Also:
  - Constant Field Values

### GL_CLIP_DISTANCE5

public static final int GL_CLIP_DISTANCE5

See Also:
  - Constant Field Values

### GL_CLIP_DISTANCE6

public static final int GL_CLIP_DISTANCE6

See Also:
  - Constant Field Values

### GL_CLIP_DISTANCE7

public static final int GL_CLIP_DISTANCE7

See Also:
  - Constant Field Values

### GL_MAX_CLIP_DISTANCES

public static final int GL_MAX_CLIP_DISTANCES

See Also:
  - Constant Field Values

### GL_MAX_VARYING_COMPONENTS

public static final int GL_MAX_VARYING_COMPONENTS

See Also:
  - Constant Field Values

### GL_BUFFER_ACCESS_FLAGS

public static final int GL_BUFFER_ACCESS_FLAGS

See Also:
  - Constant Field Values

### GL_BUFFER_MAP_LENGTH

public static final int GL_BUFFER_MAP_LENGTH

See Also:
  - Constant Field Values

### GL_BUFFER_MAP_OFFSET

public static final int GL_BUFFER_MAP_OFFSET

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_INTEGER

public static final int GL_VERTEX_ATTRIB_ARRAY_INTEGER
Accepted by the <pname> parameters of GetVertexAttribdv, GetVertexAttribfv, GetVertexAttribiv, GetVertexAttribIiv, and GetVertexAttribIuiv:

See Also:
  - Constant Field Values

### GL_SAMPLER_BUFFER

public static final int GL_SAMPLER_BUFFER
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_CUBE_SHADOW

public static final int GL_SAMPLER_CUBE_SHADOW
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_VEC2

public static final int GL_UNSIGNED_INT_VEC2
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_VEC3

public static final int GL_UNSIGNED_INT_VEC3
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_VEC4

public static final int GL_UNSIGNED_INT_VEC4
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_1D

public static final int GL_INT_SAMPLER_1D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_2D

public static final int GL_INT_SAMPLER_2D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_3D

public static final int GL_INT_SAMPLER_3D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_CUBE

public static final int GL_INT_SAMPLER_CUBE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_2D_RECT

public static final int GL_INT_SAMPLER_2D_RECT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_1D_ARRAY

public static final int GL_INT_SAMPLER_1D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_2D_ARRAY

public static final int GL_INT_SAMPLER_2D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_BUFFER

public static final int GL_INT_SAMPLER_BUFFER
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_1D

public static final int GL_UNSIGNED_INT_SAMPLER_1D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D

public static final int GL_UNSIGNED_INT_SAMPLER_2D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_3D

public static final int GL_UNSIGNED_INT_SAMPLER_3D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_CUBE

public static final int GL_UNSIGNED_INT_SAMPLER_CUBE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_RECT

public static final int GL_UNSIGNED_INT_SAMPLER_2D_RECT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_1D_ARRAY

public static final int GL_UNSIGNED_INT_SAMPLER_1D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_ARRAY

public static final int GL_UNSIGNED_INT_SAMPLER_2D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_BUFFER

public static final int GL_UNSIGNED_INT_SAMPLER_BUFFER
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_MIN_PROGRAM_TEXEL_OFFSET

public static final int GL_MIN_PROGRAM_TEXEL_OFFSET
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_TEXEL_OFFSET

public static final int GL_MAX_PROGRAM_TEXEL_OFFSET
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_QUERY_WAIT

public static final int GL_QUERY_WAIT
Accepted by the <mode> parameter of BeginConditionalRender:

See Also:
  - Constant Field Values

### GL_QUERY_NO_WAIT

public static final int GL_QUERY_NO_WAIT
Accepted by the <mode> parameter of BeginConditionalRender:

See Also:
  - Constant Field Values

### GL_QUERY_BY_REGION_WAIT

public static final int GL_QUERY_BY_REGION_WAIT
Accepted by the <mode> parameter of BeginConditionalRender:

See Also:
  - Constant Field Values

### GL_QUERY_BY_REGION_NO_WAIT

public static final int GL_QUERY_BY_REGION_NO_WAIT
Accepted by the <mode> parameter of BeginConditionalRender:

See Also:
  - Constant Field Values

### GL_MAP_READ_BIT

public static final int GL_MAP_READ_BIT
Accepted by the <access> parameter of MapBufferRange:

See Also:
  - Constant Field Values

### GL_MAP_WRITE_BIT

public static final int GL_MAP_WRITE_BIT
Accepted by the <access> parameter of MapBufferRange:

See Also:
  - Constant Field Values

### GL_MAP_INVALIDATE_RANGE_BIT

public static final int GL_MAP_INVALIDATE_RANGE_BIT
Accepted by the <access> parameter of MapBufferRange:

See Also:
  - Constant Field Values

### GL_MAP_INVALIDATE_BUFFER_BIT

public static final int GL_MAP_INVALIDATE_BUFFER_BIT
Accepted by the <access> parameter of MapBufferRange:

See Also:
  - Constant Field Values

### GL_MAP_FLUSH_EXPLICIT_BIT

public static final int GL_MAP_FLUSH_EXPLICIT_BIT
Accepted by the <access> parameter of MapBufferRange:

See Also:
  - Constant Field Values

### GL_MAP_UNSYNCHRONIZED_BIT

public static final int GL_MAP_UNSYNCHRONIZED_BIT
Accepted by the <access> parameter of MapBufferRange:

See Also:
  - Constant Field Values

### GL_CLAMP_VERTEX_COLOR

public static final int GL_CLAMP_VERTEX_COLOR
Accepted by the <target> parameter of ClampColor and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.

See Also:
  - Constant Field Values

### GL_CLAMP_FRAGMENT_COLOR

public static final int GL_CLAMP_FRAGMENT_COLOR
Accepted by the <target> parameter of ClampColor and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.

See Also:
  - Constant Field Values

### GL_CLAMP_READ_COLOR

public static final int GL_CLAMP_READ_COLOR
Accepted by the <target> parameter of ClampColor and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.

See Also:
  - Constant Field Values

### GL_FIXED_ONLY

public static final int GL_FIXED_ONLY
Accepted by the <clamp> parameter of ClampColor.

See Also:
  - Constant Field Values

### GL_DEPTH_COMPONENT32F

public static final int GL_DEPTH_COMPONENT32F
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_DEPTH32F_STENCIL8

public static final int GL_DEPTH32F_STENCIL8
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_FLOAT_32_UNSIGNED_INT_24_8_REV

public static final int GL_FLOAT_32_UNSIGNED_INT_24_8_REV
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage:

See Also:
  - Constant Field Values

### GL_TEXTURE_RED_TYPE

public static final int GL_TEXTURE_RED_TYPE
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_GREEN_TYPE

public static final int GL_TEXTURE_GREEN_TYPE
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_BLUE_TYPE

public static final int GL_TEXTURE_BLUE_TYPE
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_ALPHA_TYPE

public static final int GL_TEXTURE_ALPHA_TYPE
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_LUMINANCE_TYPE

public static final int GL_TEXTURE_LUMINANCE_TYPE
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_INTENSITY_TYPE

public static final int GL_TEXTURE_INTENSITY_TYPE
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_DEPTH_TYPE

public static final int GL_TEXTURE_DEPTH_TYPE
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_UNSIGNED_NORMALIZED

public static final int GL_UNSIGNED_NORMALIZED
Returned by the <params> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_RGBA32F

public static final int GL_RGBA32F
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB32F

public static final int GL_RGB32F
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA32F

public static final int GL_ALPHA32F
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGBA16F

public static final int GL_RGBA16F
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB16F

public static final int GL_RGB16F
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA16F

public static final int GL_ALPHA16F
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_R11F_G11F_B10F

public static final int GL_R11F_G11F_B10F
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorage:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_10F_11F_11F_REV

public static final int GL_UNSIGNED_INT_10F_11F_11F_REV
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, GetSeparableFilter, ColorTable, ColorSubTable, and GetColorTable:

See Also:
  - Constant Field Values

### GL_RGB9_E5

public static final int GL_RGB9_E5
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorage:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_5_9_9_9_REV

public static final int GL_UNSIGNED_INT_5_9_9_9_REV
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, GetSeparableFilter, ColorTable, ColorSubTable, and GetColorTable:

See Also:
  - Constant Field Values

### GL_TEXTURE_SHARED_SIZE

public static final int GL_TEXTURE_SHARED_SIZE
Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER

public static final int GL_FRAMEBUFFER
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_READ_FRAMEBUFFER

public static final int GL_READ_FRAMEBUFFER
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_DRAW_FRAMEBUFFER

public static final int GL_DRAW_FRAMEBUFFER
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER

public static final int GL_RENDERBUFFER
Accepted by the <target> parameter of BindRenderbuffer, RenderbufferStorage, and GetRenderbufferParameteriv, and returned by GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX1

public static final int GL_STENCIL_INDEX1
Accepted by the <internalformat> parameter of RenderbufferStorage:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX4

public static final int GL_STENCIL_INDEX4
Accepted by the <internalformat> parameter of RenderbufferStorage:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX8

public static final int GL_STENCIL_INDEX8
Accepted by the <internalformat> parameter of RenderbufferStorage:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX16

public static final int GL_STENCIL_INDEX16
Accepted by the <internalformat> parameter of RenderbufferStorage:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_WIDTH

public static final int GL_RENDERBUFFER_WIDTH
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_HEIGHT

public static final int GL_RENDERBUFFER_HEIGHT
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_INTERNAL_FORMAT

public static final int GL_RENDERBUFFER_INTERNAL_FORMAT
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_RED_SIZE

public static final int GL_RENDERBUFFER_RED_SIZE
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_GREEN_SIZE

public static final int GL_RENDERBUFFER_GREEN_SIZE
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_BLUE_SIZE

public static final int GL_RENDERBUFFER_BLUE_SIZE
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_ALPHA_SIZE

public static final int GL_RENDERBUFFER_ALPHA_SIZE
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_DEPTH_SIZE

public static final int GL_RENDERBUFFER_DEPTH_SIZE
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_STENCIL_SIZE

public static final int GL_RENDERBUFFER_STENCIL_SIZE
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE

public static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME

public static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING

public static final int GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE

public static final int GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_DEFAULT

public static final int GL_FRAMEBUFFER_DEFAULT
Returned in <params> by GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_INDEX

public static final int GL_INDEX
Returned in <params> by GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT0

public static final int GL_COLOR_ATTACHMENT0
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT1

public static final int GL_COLOR_ATTACHMENT1
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT2

public static final int GL_COLOR_ATTACHMENT2
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT3

public static final int GL_COLOR_ATTACHMENT3
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT4

public static final int GL_COLOR_ATTACHMENT4
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT5

public static final int GL_COLOR_ATTACHMENT5
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT6

public static final int GL_COLOR_ATTACHMENT6
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT7

public static final int GL_COLOR_ATTACHMENT7
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT8

public static final int GL_COLOR_ATTACHMENT8
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT9

public static final int GL_COLOR_ATTACHMENT9
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT10

public static final int GL_COLOR_ATTACHMENT10
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT11

public static final int GL_COLOR_ATTACHMENT11
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT12

public static final int GL_COLOR_ATTACHMENT12
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT13

public static final int GL_COLOR_ATTACHMENT13
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT14

public static final int GL_COLOR_ATTACHMENT14
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT15

public static final int GL_COLOR_ATTACHMENT15
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_DEPTH_ATTACHMENT

public static final int GL_DEPTH_ATTACHMENT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_STENCIL_ATTACHMENT

public static final int GL_STENCIL_ATTACHMENT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_DEPTH_STENCIL_ATTACHMENT

public static final int GL_DEPTH_STENCIL_ATTACHMENT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_COMPLETE

public static final int GL_FRAMEBUFFER_COMPLETE
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT

public static final int GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT

public static final int GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER

public static final int GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER

public static final int GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_UNSUPPORTED

public static final int GL_FRAMEBUFFER_UNSUPPORTED
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_UNDEFINED

public static final int GL_FRAMEBUFFER_UNDEFINED
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_BINDING

public static final int GL_FRAMEBUFFER_BINDING
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_BINDING

public static final int GL_RENDERBUFFER_BINDING
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_COLOR_ATTACHMENTS

public static final int GL_MAX_COLOR_ATTACHMENTS
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_RENDERBUFFER_SIZE

public static final int GL_MAX_RENDERBUFFER_SIZE
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_INVALID_FRAMEBUFFER_OPERATION

public static final int GL_INVALID_FRAMEBUFFER_OPERATION
Returned by GetError():

See Also:
  - Constant Field Values

### GL_HALF_FLOAT

public static final int GL_HALF_FLOAT
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, GetTexImage, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, GetConvolutionFilter, SeparableFilter2D, GetSeparableFilter, ColorTable, ColorSubTable, and GetColorTable:

Accepted by the <type> argument of VertexPointer, NormalPointer, ColorPointer, SecondaryColorPointer, FogCoordPointer, TexCoordPointer, and VertexAttribPointer:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_SAMPLES

public static final int GL_RENDERBUFFER_SAMPLES
Accepted by the <pname> parameter of GetRenderbufferParameteriv.

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE

public static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE
Returned by CheckFramebufferStatus.

See Also:
  - Constant Field Values

### GL_MAX_SAMPLES

public static final int GL_MAX_SAMPLES
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.

See Also:
  - Constant Field Values

### GL_DRAW_FRAMEBUFFER_BINDING

public static final int GL_DRAW_FRAMEBUFFER_BINDING
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev.

See Also:
  - Constant Field Values

### GL_READ_FRAMEBUFFER_BINDING

public static final int GL_READ_FRAMEBUFFER_BINDING
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev.

See Also:
  - Constant Field Values

### GL_RGBA_INTEGER_MODE

public static final int GL_RGBA_INTEGER_MODE
Accepted by the <pname> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_RGBA32UI

public static final int GL_RGBA32UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB32UI

public static final int GL_RGB32UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA32UI

public static final int GL_ALPHA32UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGBA16UI

public static final int GL_RGBA16UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB16UI

public static final int GL_RGB16UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA16UI

public static final int GL_ALPHA16UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGBA8UI

public static final int GL_RGBA8UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB8UI

public static final int GL_RGB8UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA8UI

public static final int GL_ALPHA8UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGBA32I

public static final int GL_RGBA32I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB32I

public static final int GL_RGB32I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA32I

public static final int GL_ALPHA32I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGBA16I

public static final int GL_RGBA16I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB16I

public static final int GL_RGB16I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA16I

public static final int GL_ALPHA16I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGBA8I

public static final int GL_RGBA8I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB8I

public static final int GL_RGB8I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA8I

public static final int GL_ALPHA8I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RED_INTEGER

public static final int GL_RED_INTEGER
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:

See Also:
  - Constant Field Values

### GL_GREEN_INTEGER

public static final int GL_GREEN_INTEGER
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:

See Also:
  - Constant Field Values

### GL_BLUE_INTEGER

public static final int GL_BLUE_INTEGER
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:

See Also:
  - Constant Field Values

### GL_ALPHA_INTEGER

public static final int GL_ALPHA_INTEGER
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:

See Also:
  - Constant Field Values

### GL_RGB_INTEGER

public static final int GL_RGB_INTEGER
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:

See Also:
  - Constant Field Values

### GL_RGBA_INTEGER

public static final int GL_RGBA_INTEGER
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:

See Also:
  - Constant Field Values

### GL_BGR_INTEGER

public static final int GL_BGR_INTEGER
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:

See Also:
  - Constant Field Values

### GL_BGRA_INTEGER

public static final int GL_BGRA_INTEGER
Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:

See Also:
  - Constant Field Values

### GL_TEXTURE_1D_ARRAY

public static final int GL_TEXTURE_1D_ARRAY
Accepted by the <target> parameter of TexParameteri, TexParameteriv, TexParameterf, TexParameterfv, and BindTexture:

See Also:
  - Constant Field Values

### GL_TEXTURE_2D_ARRAY

public static final int GL_TEXTURE_2D_ARRAY
Accepted by the <target> parameter of TexParameteri, TexParameteriv, TexParameterf, TexParameterfv, and BindTexture:

See Also:
  - Constant Field Values

### GL_PROXY_TEXTURE_2D_ARRAY

public static final int GL_PROXY_TEXTURE_2D_ARRAY
Accepted by the <target> parameter of TexImage3D, TexSubImage3D, CopyTexSubImage3D, CompressedTexImage3D, and CompressedTexSubImage3D:

See Also:
  - Constant Field Values

### GL_PROXY_TEXTURE_1D_ARRAY

public static final int GL_PROXY_TEXTURE_1D_ARRAY
Accepted by the <target> parameter of TexImage2D, TexSubImage2D, CopyTexImage2D, CopyTexSubImage2D, CompressedTexImage2D, and CompressedTexSubImage2D:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_1D_ARRAY

public static final int GL_TEXTURE_BINDING_1D_ARRAY
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_2D_ARRAY

public static final int GL_TEXTURE_BINDING_2D_ARRAY
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_ARRAY_TEXTURE_LAYERS

public static final int GL_MAX_ARRAY_TEXTURE_LAYERS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:

See Also:
  - Constant Field Values

### GL_COMPARE_REF_DEPTH_TO_TEXTURE

public static final int GL_COMPARE_REF_DEPTH_TO_TEXTURE
Accepted by the <param> parameter of TexParameterf, TexParameteri, TexParameterfv, and TexParameteriv when the <pname> parameter is TEXTURE_COMPARE_MODE_ARB:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_SAMPLER_1D_ARRAY

public static final int GL_SAMPLER_1D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_2D_ARRAY

public static final int GL_SAMPLER_2D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_1D_ARRAY_SHADOW

public static final int GL_SAMPLER_1D_ARRAY_SHADOW
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_2D_ARRAY_SHADOW

public static final int GL_SAMPLER_2D_ARRAY_SHADOW
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_DEPTH_STENCIL

public static final int GL_DEPTH_STENCIL
Accepted by the <format> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage, by the <type> parameter of CopyPixels, by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorage, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameteriv.

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_24_8

public static final int GL_UNSIGNED_INT_24_8
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage.

See Also:
  - Constant Field Values

### GL_DEPTH24_STENCIL8

public static final int GL_DEPTH24_STENCIL8
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorage, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameteriv.

See Also:
  - Constant Field Values

### GL_TEXTURE_STENCIL_SIZE

public static final int GL_TEXTURE_STENCIL_SIZE
Accepted by the <value> parameter of GetTexLevelParameter.

See Also:
  - Constant Field Values

### GL_COMPRESSED_RED_RGTC1

public static final int GL_COMPRESSED_RED_RGTC1
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SIGNED_RED_RGTC1

public static final int GL_COMPRESSED_SIGNED_RED_RGTC1
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RG_RGTC2

public static final int GL_COMPRESSED_RG_RGTC2
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SIGNED_RG_RGTC2

public static final int GL_COMPRESSED_SIGNED_RG_RGTC2
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

See Also:
  - Constant Field Values

### GL_R8

public static final int GL_R8
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R16

public static final int GL_R16
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG8

public static final int GL_RG8
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG16

public static final int GL_RG16
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R16F

public static final int GL_R16F
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R32F

public static final int GL_R32F
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG16F

public static final int GL_RG16F
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG32F

public static final int GL_RG32F
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R8I

public static final int GL_R8I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R8UI

public static final int GL_R8UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R16I

public static final int GL_R16I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R16UI

public static final int GL_R16UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R32I

public static final int GL_R32I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_R32UI

public static final int GL_R32UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG8I

public static final int GL_RG8I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG8UI

public static final int GL_RG8UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG16I

public static final int GL_RG16I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG16UI

public static final int GL_RG16UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG32I

public static final int GL_RG32I
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG32UI

public static final int GL_RG32UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, and CopyTexImage2D:

See Also:
  - Constant Field Values

### GL_RG

public static final int GL_RG
Accepted by the <format> parameter of TexImage3D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:

See Also:
  - Constant Field Values

### GL_RG_INTEGER

public static final int GL_RG_INTEGER
Accepted by the <format> parameter of TexImage3D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER

public static final int GL_TRANSFORM_FEEDBACK_BUFFER
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, BindBufferRange, BindBufferOffset and BindBufferBase:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_START

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_START
Accepted by the <param> parameter of GetIntegerIndexedv and GetBooleanIndexedv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_SIZE

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_SIZE
Accepted by the <param> parameter of GetIntegerIndexedv and GetBooleanIndexedv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_BINDING

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_BINDING
Accepted by the <param> parameter of GetIntegerIndexedv and GetBooleanIndexedv, and by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_INTERLEAVED_ATTRIBS

public static final int GL_INTERLEAVED_ATTRIBS
Accepted by the <bufferMode> parameter of TransformFeedbackVaryings:

See Also:
  - Constant Field Values

### GL_SEPARATE_ATTRIBS

public static final int GL_SEPARATE_ATTRIBS
Accepted by the <bufferMode> parameter of TransformFeedbackVaryings:

See Also:
  - Constant Field Values

### GL_PRIMITIVES_GENERATED

public static final int GL_PRIMITIVES_GENERATED
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN

public static final int GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

See Also:
  - Constant Field Values

### GL_RASTERIZER_DISCARD

public static final int GL_RASTERIZER_DISCARD
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS

public static final int GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS

public static final int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS

public static final int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_VARYINGS

public static final int GL_TRANSFORM_FEEDBACK_VARYINGS
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_MODE

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_MODE
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH

public static final int GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_VERTEX_ARRAY_BINDING

public static final int GL_VERTEX_ARRAY_BINDING
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_SRGB

public static final int GL_FRAMEBUFFER_SRGB
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_SRGB_CAPABLE

public static final int GL_FRAMEBUFFER_SRGB_CAPABLE
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glGetStringi

public static String glGetStringi(int name, int index)

### glClearBuffer

public static void glClearBuffer(int buffer, int drawbuffer, FloatBuffer value)

### glClearBuffer

public static void glClearBuffer(int buffer, int drawbuffer, IntBuffer value)

### glClearBufferu

public static void glClearBufferu(int buffer, int drawbuffer, IntBuffer value)

### glClearBufferfi

public static void glClearBufferfi(int buffer, int drawbuffer, float depth, int stencil)

### glVertexAttribI1i

public static void glVertexAttribI1i(int index, int x)

### glVertexAttribI2i

public static void glVertexAttribI2i(int index, int x, int y)

### glVertexAttribI3i

public static void glVertexAttribI3i(int index, int x, int y, int z)

### glVertexAttribI4i

public static void glVertexAttribI4i(int index, int x, int y, int z, int w)

### glVertexAttribI1ui

public static void glVertexAttribI1ui(int index, int x)

### glVertexAttribI2ui

public static void glVertexAttribI2ui(int index, int x, int y)

### glVertexAttribI3ui

public static void glVertexAttribI3ui(int index, int x, int y, int z)

### glVertexAttribI4ui

public static void glVertexAttribI4ui(int index, int x, int y, int z, int w)

### glVertexAttribI1

public static void glVertexAttribI1(int index, IntBuffer v)

### glVertexAttribI2

public static void glVertexAttribI2(int index, IntBuffer v)

### glVertexAttribI3

public static void glVertexAttribI3(int index, IntBuffer v)

### glVertexAttribI4

public static void glVertexAttribI4(int index, IntBuffer v)

### glVertexAttribI1u

public static void glVertexAttribI1u(int index, IntBuffer v)

### glVertexAttribI2u

public static void glVertexAttribI2u(int index, IntBuffer v)

### glVertexAttribI3u

public static void glVertexAttribI3u(int index, IntBuffer v)

### glVertexAttribI4u

public static void glVertexAttribI4u(int index, IntBuffer v)

### glVertexAttribI4

public static void glVertexAttribI4(int index, ByteBuffer v)

### glVertexAttribI4

public static void glVertexAttribI4(int index, ShortBuffer v)

### glVertexAttribI4u

public static void glVertexAttribI4u(int index, ByteBuffer v)

### glVertexAttribI4u

public static void glVertexAttribI4u(int index, ShortBuffer v)

### glVertexAttribIPointer

public static void glVertexAttribIPointer(int index, int size, int type, int stride, ByteBuffer buffer)

### glVertexAttribIPointer

public static void glVertexAttribIPointer(int index, int size, int type, int stride, IntBuffer buffer)

### glVertexAttribIPointer

public static void glVertexAttribIPointer(int index, int size, int type, int stride, ShortBuffer buffer)

### glVertexAttribIPointer

public static void glVertexAttribIPointer(int index, int size, int type, int stride, long buffer_buffer_offset)

### glGetVertexAttribI

public static void glGetVertexAttribI(int index, int pname, IntBuffer params)

### glGetVertexAttribIu

public static void glGetVertexAttribIu(int index, int pname, IntBuffer params)

### glUniform1ui

public static void glUniform1ui(int location, int v0)

### glUniform2ui

public static void glUniform2ui(int location, int v0, int v1)

### glUniform3ui

public static void glUniform3ui(int location, int v0, int v1, int v2)

### glUniform4ui

public static void glUniform4ui(int location, int v0, int v1, int v2, int v3)

### glUniform1u

public static void glUniform1u(int location, IntBuffer value)

### glUniform2u

public static void glUniform2u(int location, IntBuffer value)

### glUniform3u

public static void glUniform3u(int location, IntBuffer value)

### glUniform4u

public static void glUniform4u(int location, IntBuffer value)

### glGetUniformu

public static void glGetUniformu(int program, int location, IntBuffer params)

### glBindFragDataLocation

public static void glBindFragDataLocation(int program, int colorNumber, ByteBuffer name)

### glBindFragDataLocation

public static void glBindFragDataLocation(int program, int colorNumber, CharSequence name)
Overloads glBindFragDataLocation.

### glGetFragDataLocation

public static int glGetFragDataLocation(int program, ByteBuffer name)

### glGetFragDataLocation

public static int glGetFragDataLocation(int program, CharSequence name)
Overloads glGetFragDataLocation.

### glBeginConditionalRender

public static void glBeginConditionalRender(int id, int mode)

### glEndConditionalRender

public static void glEndConditionalRender()

### glMapBufferRange

public static ByteBuffer glMapBufferRange(int target, long offset, long length, int access, ByteBuffer old_buffer)
glMapBufferRange maps a GL buffer object range to a ByteBuffer. The old_buffer argument can be null, in which case a new ByteBuffer will be created, pointing to the returned memory. If old_buffer is non-null, it will be returned if it points to the same mapped memory and has the same capacity as the buffer object, otherwise a new ByteBuffer is created. That way, an application will normally use glMapBufferRange like this:

ByteBuffer mapped_buffer; mapped_buffer = glMapBufferRange(..., ..., ..., ..., null); ... // Another map on the same buffer mapped_buffer = glMapBufferRange(..., ..., ..., ..., mapped_buffer);

Only ByteBuffers returned from this method are to be passed as the old_buffer argument. User-created ByteBuffers cannot be reused.

Parameters:
  `old_buffer` - A ByteBuffer. If this argument points to the same address and has the same capacity as the new mapping, it will be returned and no new buffer will be created.

Returns:
  A ByteBuffer representing the mapped buffer memory.

### glFlushMappedBufferRange

public static void glFlushMappedBufferRange(int target, long offset, long length)

### glClampColor

public static void glClampColor(int target, int clamp)

### glIsRenderbuffer

public static boolean glIsRenderbuffer(int renderbuffer)

### glBindRenderbuffer

public static void glBindRenderbuffer(int target, int renderbuffer)

### glDeleteRenderbuffers

public static void glDeleteRenderbuffers(IntBuffer renderbuffers)

### glDeleteRenderbuffers

public static void glDeleteRenderbuffers(int renderbuffer)
Overloads glDeleteRenderbuffers.

### glGenRenderbuffers

public static void glGenRenderbuffers(IntBuffer renderbuffers)

### glGenRenderbuffers

public static int glGenRenderbuffers()
Overloads glGenRenderbuffers.

### glRenderbufferStorage

public static void glRenderbufferStorage(int target, int internalformat, int width, int height)

### glGetRenderbufferParameter

public static void glGetRenderbufferParameter(int target, int pname, IntBuffer params)

### glGetRenderbufferParameter

@Deprecated public static int glGetRenderbufferParameter(int target, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetRenderbufferParameteri(int, int)` instead.
Overloads glGetRenderbufferParameteriv.

### glGetRenderbufferParameteri

public static int glGetRenderbufferParameteri(int target, int pname)
Overloads glGetRenderbufferParameteriv.

### glIsFramebuffer

public static boolean glIsFramebuffer(int framebuffer)

### glBindFramebuffer

public static void glBindFramebuffer(int target, int framebuffer)

### glDeleteFramebuffers

public static void glDeleteFramebuffers(IntBuffer framebuffers)

### glDeleteFramebuffers

public static void glDeleteFramebuffers(int framebuffer)
Overloads glDeleteFramebuffers.

### glGenFramebuffers

public static void glGenFramebuffers(IntBuffer framebuffers)

### glGenFramebuffers

public static int glGenFramebuffers()
Overloads glGenFramebuffers.

### glCheckFramebufferStatus

public static int glCheckFramebufferStatus(int target)

### glFramebufferTexture1D

public static void glFramebufferTexture1D(int target, int attachment, int textarget, int texture, int level)

### glFramebufferTexture2D

public static void glFramebufferTexture2D(int target, int attachment, int textarget, int texture, int level)

### glFramebufferTexture3D

public static void glFramebufferTexture3D(int target, int attachment, int textarget, int texture, int level, int zoffset)

### glFramebufferRenderbuffer

public static void glFramebufferRenderbuffer(int target, int attachment, int renderbuffertarget, int renderbuffer)

### glGetFramebufferAttachmentParameter

public static void glGetFramebufferAttachmentParameter(int target, int attachment, int pname, IntBuffer params)

### glGetFramebufferAttachmentParameter

@Deprecated public static int glGetFramebufferAttachmentParameter(int target, int attachment, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetFramebufferAttachmentParameteri(int, int, int)` instead.
Overloads glGetFramebufferAttachmentParameteriv.

### glGetFramebufferAttachmentParameteri

public static int glGetFramebufferAttachmentParameteri(int target, int attachment, int pname)
Overloads glGetFramebufferAttachmentParameteriv.

### glGenerateMipmap

public static void glGenerateMipmap(int target)

### glRenderbufferStorageMultisample

public static void glRenderbufferStorageMultisample(int target, int samples, int internalformat, int width, int height)
Establishes the data storage, format, dimensions, and number of samples of a renderbuffer object's image.

### glBlitFramebuffer

public static void glBlitFramebuffer(int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)
Transfers a rectangle of pixel values from one region of the read framebuffer to another in the draw framebuffer. <mask> is the bitwise OR of a number of values indicating which buffers are to be copied. The values are COLOR_BUFFER_BIT, DEPTH_BUFFER_BIT, and STENCIL_BUFFER_BIT. The pixels corresponding to these buffers are copied from the source rectangle, bound by the locations (srcX0, srcY0) and (srcX1, srcY1) inclusive, to the destination rectangle, bound by the locations (dstX0, dstY0) and (dstX1, dstY1) inclusive. If the source and destination rectangle dimensions do not match, the source image is stretched to fit the destination rectangle. <filter> must be LINEAR or NEAREST and specifies the method of interpolation to be applied if the image is stretched.

### glTexParameterI

public static void glTexParameterI(int target, int pname, IntBuffer params)

### glTexParameterIi

public static void glTexParameterIi(int target, int pname, int param)
Overloads glTexParameterIiv.

### glTexParameterIu

public static void glTexParameterIu(int target, int pname, IntBuffer params)

### glTexParameterIui

public static void glTexParameterIui(int target, int pname, int param)
Overloads glTexParameterIuiv.

### glGetTexParameterI

public static void glGetTexParameterI(int target, int pname, IntBuffer params)

### glGetTexParameterIi

public static int glGetTexParameterIi(int target, int pname)
Overloads glGetTexParameterIiv.

### glGetTexParameterIu

public static void glGetTexParameterIu(int target, int pname, IntBuffer params)

### glGetTexParameterIui

public static int glGetTexParameterIui(int target, int pname)
Overloads glGetTexParameterIuiv.

### glFramebufferTextureLayer

public static void glFramebufferTextureLayer(int target, int attachment, int texture, int level, int layer)

### glColorMaski

public static void glColorMaski(int buf, boolean r, boolean g, boolean b, boolean a)

### glGetBoolean

public static void glGetBoolean(int value, int index, ByteBuffer data)

### glGetBoolean

public static boolean glGetBoolean(int value, int index)
Overloads glGetBooleani_v.

### glGetInteger

public static void glGetInteger(int value, int index, IntBuffer data)

### glGetInteger

public static int glGetInteger(int value, int index)
Overloads glGetIntegeri_v.

### glEnablei

public static void glEnablei(int target, int index)

### glDisablei

public static void glDisablei(int target, int index)

### glIsEnabledi

public static boolean glIsEnabledi(int target, int index)

### glBindBufferRange

public static void glBindBufferRange(int target, int index, int buffer, long offset, long size)

### glBindBufferBase

public static void glBindBufferBase(int target, int index, int buffer)

### glBeginTransformFeedback

public static void glBeginTransformFeedback(int primitiveMode)

### glEndTransformFeedback

public static void glEndTransformFeedback()

### glTransformFeedbackVaryings

public static void glTransformFeedbackVaryings(int program, int count, ByteBuffer varyings, int bufferMode)

### glTransformFeedbackVaryings

public static void glTransformFeedbackVaryings(int program, CharSequence[] varyings, int bufferMode)
Overloads glTransformFeedbackVaryings.

### glGetTransformFeedbackVarying

public static void glGetTransformFeedbackVarying(int program, int index, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)

### glGetTransformFeedbackVarying

public static String glGetTransformFeedbackVarying(int program, int index, int bufSize, IntBuffer size, IntBuffer type)
Overloads glGetTransformFeedbackVarying.

### glBindVertexArray

public static void glBindVertexArray(int array)

### glDeleteVertexArrays

public static void glDeleteVertexArrays(IntBuffer arrays)

### glDeleteVertexArrays

public static void glDeleteVertexArrays(int array)
Overloads glDeleteVertexArrays.

### glGenVertexArrays

public static void glGenVertexArrays(IntBuffer arrays)

### glGenVertexArrays

public static int glGenVertexArrays()
Overloads glGenVertexArrays.

### glIsVertexArray

public static boolean glIsVertexArray(int array)